Table of Contents

Class: JConnection | Twisted-0.17.4/twisted/internet/jnternet.py
--- | ---

A java connection class.

Base Classes |
--- | ---
abstract.FileDescriptor protocol.Transport styles.Ephemeral

Methods |
--- | ---
__init__ connectionLost loseConnection produceMore registerProducer unregisterProducer write
| __init__

    __init__ (
            self,
            skt,
            protocol,
            )

| connectionLost

    connectionLost ( self,  arg=None )

| loseConnection

    loseConnection ( self )

| produceMore

    produceMore ( self,  x )

| registerProducer

    registerProducer (
            self,
            producer,
            streaming,
            )

| unregisterProducer

    unregisterProducer ( self )

| write

    write ( self,  data )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0